$(function() {
    
    // An example object
    var obj = {title: "Hello world", body: "More", amount: 5, on: true, date: "Today"};

    // Bind the first field to this object, and transform all input to uppercase.
    $("#f1").observe(obj, "title", function(val) {
        return val.toUpperCase();               
    });
    
    // Let the other input fields observe other keys.
    $("#f2").observe(obj, "body");
    $("#f3").observe(obj, "amount");
    $("#c1").observe(obj, "on");
    $("#d1").observe(obj, "date");
    
    // Change the object and update the HTML.
    obj.title = "Other title";
    obj.date  = "Yesterday";
    obj.notify();

    // For demonstration purposes, log the object every 500 ms.
    setInterval(console.log, 500, "obj", obj);
    
    // On submit, show what the object looks like.
    $("form").submit(function(event) {
        console.warn("submitted", obj);
        event.preventDefault();
    });

});
